#map {
  position: absolute;
  top: 0;
  bottom: 0;
  right: 0;
  left: 0;
  z-index: 1;
  transition: 0.5s;
}

#basemaps-wrapper {
  position: absolute;
  top: 10px;
  right: 10px;
  z-index: 400;
  background: white;
  padding: 10px;
}
#basemaps {
  margin-bottom: 5px;
}

::ng-deep .leaflet-top {
  top: 60px !important;
}

::ng-deep .esri-popup,
::ng-deep .esri-popup__main-container {
  border-radius: 10px;
}

::ng-deep .esri-popup__header {
  background-color: white;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
  border-bottom: 1px solid #000000;
}

.esri-button {
  border-radius: 10px;
}

// query widget
#queryDiv {
  position: fixed;
  bottom: 30px;
  left: 30px;
  z-index: 98;
  min-width: 250px;
  font-size: 14px;
  padding: 10px;
}

.geometry-options {
  display: flex;
  flex-direction: row;
}
.geometry-button {
  flex: 1;
  border-style: solid;
  border-width: 1px;
  border-image: none;
}
.geometry-button-selected {
  background: #4c4c4c;
  color: #ebebeb;
}

// table selected feature DIV
#viewDiv {
  padding: 0;
  margin-left: 250px;
  overflow: hidden;
  transition: 0.5s;
  position: absolute;
  right: 0;
  left: 0;
  bottom: 0;
  height: 50%;
}

#info,
#gridDisplay {
  position: absolute;
  bottom: 0;
  width: 100%;
  height: 50%;
  background-color: white;
  border-color: grey;
  font-size: 14px;
  transition: 0.5s;
  z-index: 80;
}

#info {
  z-index: 90;
  font-size: 16px;
  padding-left: 20px;
}

#info * {
  padding-right: 20px;
}

.info {
  line-height: 20px;
  padding-left: 5px !important;
}

.dgrid-header,
.dgrid-header-row {
  background-color: #eee;
  color: #57585a;
}

.dgrid-row-even {
  background-color: #f7f8f8;
}

.dgrid-row-odd {
  background-color: #efefef;
}

.dgrid-selected {
  background: #b4daf5;
}

.dgrid-row {
  border: none;
}

// custom
::ng-deep #gridContent {
  bottom: 50%;
  height: 22px;
  padding: 5px 0px;

  background-color: #222831;
  position: absolute;
  border-top-right-radius: 5px;
  border-top-left-radius: 5px;
  z-index: 999999 !important;
  left: 50%;
  transition: 0.5s;
}

// custom
.btnFilter {
  background-color: #222831;
  position: absolute;
  padding-left: 14px;
  padding-right: 14px;
  border-top-right-radius: 5px;
  border-top-left-radius: 5px;
  z-index: 99 !important;
  height: 20px;
  bottom: 0;
}

::ng-deep .mat-tab-label {
  color: #000 !important;
}

::ng-deep .mat-tab-header-pagination-chevron {
  border-color: #000;
}

::ng-deep .mat-tab-body-content {
  padding-left: 10px;
  padding-right: 10px;
}

// minimap
#overviewDiv {
  position: absolute;
  bottom: 110px;
  right: 15px;
  width: 300px;
  height: 200px;
  border: 1px solid black;
  z-index: 1;
  overflow: hidden;
}

#extentDiv {
  background-color: rgba(0, 0, 0, 0.5);
  position: absolute;
  z-index: 1;
}

// tooltip
#tooltip-span {
  display: block;
  position: fixed;
  overflow: hidden;
  z-index: 99;
  background-color: #222831;
  color: #ebebeb;
}

// scroll
/* width */
::ng-deep ::-webkit-scrollbar {
  height: 4px;
  width: 4px !important;
}

/* Track */
::ng-deep ::-webkit-scrollbar-track {
  box-shadow: inset 0 0 5px #161c26 !important;
  border-radius: 14px !important;
}

/* Handle */
::ng-deep ::-webkit-scrollbar-thumb {
  background: #4a525c !important;
  border-radius: 14px !important;
}

::ng-deep .esri-ui-top-left .esri-ui-corner {
  opacity: 0;
  transition: ease-out 1s;
  overflow: hidden;
}

::ng-deep .switch-btn {
  position: absolute;
  z-index: 99 !important;
  right: 0;
  top: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.3);
}

::ng-deep .esri-ui-top-right {
  margin-top: 180px !important;
}

// menu-bar
::ng-deep .menu-bar {
  z-index: 999999 !important;
  position: absolute;
  top: 20px;
  right: 10px;
}

.esri-legend__message {
  display: none;
}

.detail-selected-layer {
  bottom: 0;
  left: 0;
  transition: 0.5s;
  z-index: 3;
}
.detail-selected-mapset {
  transition: 0.5s;
}
.btn-control-detail {
  border-top-left-radius: 4px;
  border-top-right-radius: 4px;
  border-bottom-left-radius: 0;
  border-bottom-right-radius: 0;
  width: 37px;
  padding: 0;
  height: 20px;
}

::ng-deep .esri-view .esri-view-surface--inset-outline:focus::after {
  outline: none !important;
}

::ng-deep {
  .esri-compass {
    background: #222831;
  }
  .esri-icon-compass,
  .esri-navigation-toggle:hover .esri-navigation-toggle__button {
    color: #ffffff;
  }

  .esri-zoom,
  .esri-navigation-toggle,
  .esri-zoom .esri-widget--button,
  .esri-navigation-toggle .esri-widget--button {
    color: #ffffff;
    background: #222831;
    border-radius: 2px;
  }

  .esri-widget--button:hover {
    background-color: var(--bs-success);
    color: #ffffff;
  }

  .esri-popup__header,
  .esri-popup__header-container,
  .esri-popup--is-collapsible {
    background-color: #222831;
    color: #ffffff;
    border-top: 0;
    border-left: 0;
    border-right: 0;
  }

  .esri-popup__button:hover {
    background-color: transparent;
    color: #00ad7c;
  }

  .esri-popup__header-title {
    font-weight: bold;
    color: #ffffff;
  }

  .esri-popup__header-title:hover {
    background-color: transparent;
  }

  .esri-popup__content {
    margin: 0;
    margin-bottom: 10px;
    max-height: 300px;
  }

  .esri-feature__content-element {
    padding: 0;
  }

  .esri-widget__table tr:nth-child(odd) {
    background-color: #222831;
  }
  .esri-popup__feature-menu-item--selected,
  .esri-popup__feature-menu-item:hover,
  .esri-popup__feature-menu-item:focus,
  .esri-widget__table tr:nth-child(even) {
    background-color: #2c3642;
  }
  .esri-widget__table {
    color: #ffffff;
  }
  .esri-feature__field-header {
    color: #7e858c;
  }
  .esri-feature__field-data {
    color: #95999d;
  }
  .esri-popup__inline-actions-container {
    color: #7e858c;
  }
  .esri-popup__icon.esri-icon-close {
    color: #7e858c;
  }
  .esri-popup__feature-menu-button:focus,
  .esri-popup__navigation {
    background: none;
  }
  .esri-popup__pointer-direction,
  .esri-popup__feature-menu,
  .esri-popup__button {
    color: #7e858c;
    background-color: #222831;
  }

  .esri-popup__pagination-previous-icon:hover,
  .esri-popup__feature-menu-button:hover,
  .esri-popup__pagination-next-icon:hover {
    color: #00ad7c;
  }

  .esri-ui-bottom-left {
    z-index: 0;
  }

  .esri-popup__main-container {
    top: 70px;
    right: 80px;
  }

  .btn-control-detail {
    background-color: var(--bs-bg-primary);
  }

  .btn-control-detail:hover {
    background-color: var(--bs-success) !important;
  }
}

// http://embed.plnkr.co/52UdEJ/
.btn-minimap {
  z-index: 1 !important;
  position: absolute;
  bottom: 60px;
  right: 15px;
}

.btn-minimap input[type='checkbox'] {
  display: none;
}
.btn-minimap label {
  cursor: pointer;
}
.btn-minimap label input[type='checkbox'] + span:before {
  font-family: FontAwesome, sans-serif;
  content: '\f070';
  padding: 7px;
  color: #ebebeb;
  opacity: 0.95;
  background-color: #222831;
  box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.25);
  line-height: 1.3;
  border: 0;
  border-radius: 50px;
}
.btn-minimap:hover label input[type='checkbox'] + span:before {
  background-color: var(--bs-success);
}

.btn-feedback {
  cursor: pointer;
  z-index: 1 !important;
  position: absolute;
  bottom: 20px;
  right: 15px;
}
.btn-feedback {
  padding: 6px 8px 6px 8px;
  color: #ebebeb;
  opacity: 0.95;
  background-color: #ff7500;
  box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.25);
  line-height: 1.3;
  border: 0;
  font-size: 14px;
  border-radius: 50px;
}
.btn-feedback span {
  display: none;
}
.btn-feedback:hover span {
  display: inline;
}

.esri-map {
  .waze-warning {
    position: absolute;
    top: 45%;
    left: 50%;
    
    .main {
      position: relative;
      left: -50%;
      height: 54px;
      background-color: #222831;
      font-size: 13px;
      padding: 8px;
    }
  }
}

::ng-deep {
  .esri-ui {
    display: block !important;
  }
}
